<?php
/*
Plugin Name: Aerin Theme Addons
Plugin URI: http://magniumthemes.com/
Description: 1-Click Demo Import and other extra theme features
Author: MagniumThemes
Version: 1.0
Author URI: http://magniumthemes.com/
Text Domain: aerin-ta
License: General Public License
*/

// Load translated strings
add_action( 'init', 'aerin_ta_load_textdomain' );

// load init
add_action( 'init', 'aerin_ta_init' );

// after theme load
add_action('after_setup_theme', 'aerin_ta_after_setup_theme');

// flush rewrite rules on deactivation
register_deactivation_hook( __FILE__, 'aerin_ta_deactivation' );

function aerin_ta_deactivation() {
	// Clear the permalinks to remove our post type's rules
	flush_rewrite_rules();
}

function aerin_ta_load_textdomain() {
	load_plugin_textdomain( 'aerin_ta_plugin', false, basename( dirname( __FILE__ ) ) . '/languages' );
}

// Init
function aerin_ta_init() {
	global $pagenow;

	// Remove issues with prefetching adding extra views
	remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);

	// Custom User social profiles
	function aerin_add_to_author_profile( $contactmethods ) {

	    $social_array = array('facebook' => 'Facebook', 'twitter' => 'Twitter', 'vk' => 'Vkontakte', 'google-plus' => 'Google Plus', 'behance' => 'Behance', 'linkedin' => 'LinkedIn', 'pinterest' => 'Pinterest', 'deviantart' => 'DeviantArt', 'dribbble' => 'Dribbble',  'flickr' => 'Flickr', 'instagram' => 'Instagram', 'skype' => 'Skype', 'tumblr' => 'Tumblr', 'twitch' => 'Twitch', 'vimeo-square' => 'Vimeo', 'youtube' => 'Youtube');
	    
	    foreach ($social_array as $social_key => $social_value) {
	        # code...
	        $contactmethods[$social_key.'_profile'] = $social_value.' Profile URL';
	    }
	    
	    return $contactmethods;
	}
	add_filter( 'user_contactmethods', 'aerin_add_to_author_profile', 10, 1);

	// 1-click demo importer
	if (( $pagenow !== 'admin-ajax.php' ) && (is_admin())) {
		require plugin_dir_path( __FILE__ ).'inc/oneclick-demo-import/init.php';
	}
}

// After theme load
function aerin_ta_after_setup_theme() {
	// Allow shortcodes in widgets
	add_filter('widget_text', 'do_shortcode');
	add_filter('widget_aerin_text', 'do_shortcode');
}

// Custom shortcodes
function aerin_social_icons_shortcode( $atts ) {
    echo '<div class="widget_aerin_social_icons shortcode_aerin_social_icons">';
    aerin_social_show();
    echo '</div>';
}
add_shortcode( 'aerin_social_icons', 'aerin_social_icons_shortcode' );